=== debian/changelog ===
mkl-dnn (0.17~rc-2) unstable; urgency=medium

  * Fix binary-all-only and binary-any-only builds. (Closes: #913591)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 13 Nov 2018 04:17:12 +0000

mkl-dnn (0.17~rc-1) unstable; urgency=medium

  * New upstream version 0.17~rc
  * Refresh patches and symbols control file.
  * Mark mkl-dnn as Multi-Arch: same.
  * Remove README.Debian. The tips were outdated.
  * Add debian/not-installed to reduce dh_missing output.
  * Set -DARCH_OPT_FLAGS="" to avoid patching upstream cmake file.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 12 Nov 2018 07:54:45 +0000

mkl-dnn (0.16+git20180820.f51304a-1) experimental; urgency=low

  * Initial release. (Closes: #894411)

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 22 Aug 2018 04:57:35 +0000
