=== debian/control ===
Source: mkl-dnn
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>=11~),
               cmake,
Build-Depends-Indep: doxygen,
                     graphviz,
Standards-Version: 4.2.0
Homepage: https://github.com/intel/mkl-dnn
Vcs-Browser: https://salsa.debian.org/science-team/mkl-dnn
Vcs-Git: https://salsa.debian.org/science-team/mkl-dnn.git

# Note, the Architecture of this package is set to amd64 only as suggested
# by upstream. https://github.com/intel/mkl-dnn/issues/206

Package: libmkldnn-dev
Section: libdevel
Architecture: amd64
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmkldnn0 (= ${binary:Version}),
Description: Intel Math Kernel Library for Deep Neural Networks (dev)
 Intel(R) Math Kernel Library for Deep Neural Networks (Intel(R) MKL-DNN) is
 an open source performance library for deep learning applications. The library
 accelerates deep learning applications and framework on Intel(R) architecture.
 Intel(R) MKL-DNN contains vectorized and threaded building blocks which you
 can use to implement deep neural networks (DNN) with C and C++ interfaces.
 .
 DNN functionality optimized for Intel architecture is also included in
 Intel(R) Math Kernel Library (Intel(R) MKL). API in this implementation
 is not compatible with Intel MKL-DNN and does not include certain new and
 experimental features.
 .
 One can choose to build Intel MKL-DNN without binary dependency. The resulting
 version will be fully functional, however performance of certain convolution
 shapes and sizes and inner product relying on SGEMM function may be suboptimal.
 .
 This package contains the header files, and symbol links to the shared object.

Package: libmkldnn0
Section: libs
Architecture: amd64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Intel Math Kernel Library for Deep Neural Networks (lib)
 Intel(R) Math Kernel Library for Deep Neural Networks (Intel(R) MKL-DNN) is
 an open source performance library for deep learning applications. The library
 accelerates deep learning applications and framework on Intel(R) architecture.
 Intel(R) MKL-DNN contains vectorized and threaded building blocks which you
 can use to implement deep neural networks (DNN) with C and C++ interfaces.
 .
 DNN functionality optimized for Intel architecture is also included in
 Intel(R) Math Kernel Library (Intel(R) MKL). API in this implementation
 is not compatible with Intel MKL-DNN and does not include certain new and
 experimental features.
 .
 One can choose to build Intel MKL-DNN without binary dependency. The resulting
 version will be fully functional, however performance of certain convolution
 shapes and sizes and inner product relying on SGEMM function may be suboptimal.
 .
 This package contains the shared object.

Package: libmkldnn-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Math Kernel Library for Deep Neural Networks (doc)
 Intel(R) Math Kernel Library for Deep Neural Networks (Intel(R) MKL-DNN) is
 an open source performance library for deep learning applications. The library
 accelerates deep learning applications and framework on Intel(R) architecture.
 Intel(R) MKL-DNN contains vectorized and threaded building blocks which you
 can use to implement deep neural networks (DNN) with C and C++ interfaces.
 .
 DNN functionality optimized for Intel architecture is also included in
 Intel(R) Math Kernel Library (Intel(R) MKL). API in this implementation
 is not compatible with Intel MKL-DNN and does not include certain new and
 experimental features.
 .
 One can choose to build Intel MKL-DNN without binary dependency. The resulting
 version will be fully functional, however performance of certain convolution
 shapes and sizes and inner product relying on SGEMM function may be suboptimal.
 .
 This package contains the doxygen documentation.
