=== debian/tests/control ===
Test-Command: gcc $(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c99 examples/simple_net.c -lmkldnn -o tester; ./tester
Depends: libmkldnn-dev, gcc

Test-Command: clang $(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c99 examples/simple_net.c -lmkldnn -o tester; ./tester
Depends: libmkldnn-dev, clang

# --

Test-Command: g++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_net.cpp -lmkldnn -o tester; ./tester
Depends: libmkldnn-dev, g++

Test-Command: clang++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_net.cpp -lmkldnn -o tester; ./tester
Depends: libmkldnn-dev, clang

# -- the Int8 mode requires AVX512-bw instruction set to be supported by CPU.
#
#Test-Command: g++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_net_int8.cpp -lmkldnn -o tester; ./tester
#Depends: libmkldnn-dev, g++
#
#Test-Command: clang++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_net_int8.cpp -lmkldnn -o tester; ./tester
#Depends: libmkldnn-dev, clang

# -- the RNN tests needs MKL, which is still not available in Debian
#
#Test-Command: g++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_rnn.cpp -lmkldnn -o tester; ./tester
#Depends: libmkldnn-dev, g++
#
#Test-Command: clang++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_rnn.cpp -lmkldnn -o tester; ./tester
#Depends: libmkldnn-dev, clang

# --

Test-Command: gcc $(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c99 examples/simple_training_net.c -lmkldnn -o tester; ./tester
Depends: libmkldnn-dev, gcc

Test-Command: clang $(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c99 examples/simple_training_net.c -lmkldnn -o tester; ./tester
Depends: libmkldnn-dev, clang

# --

Test-Command: g++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_training_net.cpp -lmkldnn -o tester; ./tester
Depends: libmkldnn-dev, g++

Test-Command: clang++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_training_net.cpp -lmkldnn -o tester; ./tester
Depends: libmkldnn-dev, clang
