## mkl-dnn 0.17.1

=== debian/changelog ===
mkl-dnn (0.17.1-1) unstable; urgency=medium

  * New upstream version 0.17.1

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 02 Dec 2018 02:36:00 +0000

mkl-dnn (0.17-1) unstable; urgency=medium

  * New upstream version 0.17
  * Autopkgtest: add missing depends and allow output to stderr.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 23 Nov 2018 06:03:19 +0000
