## mkl-dnn 0.17.2

=== debian/changelog ===
mkl-dnn (0.17.2-1) unstable; urgency=medium

  * New upstream version 0.17.2

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 22 Dec 2018 10:30:51 +0000
