=== debian/changelog ===
mkl-dnn (0.17.3-1) unstable; urgency=medium

  * New upstream version 0.17.3
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 01 Feb 2019 06:55:19 +0000
