## mkl-dnn 0.17.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 set(PROJECT_NAME "Intel(R) MKL-DNN")
 set(PROJECT_FULL_NAME "Intel(R) Math Kernel Library for Deep Neural Networks (Intel(R) MKL-DNN)")
-set(PROJECT_VERSION "0.17.3")
+set(PROJECT_VERSION "0.17.4")
 
 set(LIB_NAME mkldnn)
