=== debian/changelog ===
mkl-dnn (0.17.4-1) unstable; urgency=medium

  * New upstream version 0.17.4

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 13 Feb 2019 07:55:46 +0000
