=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake,
 Build-Depends-Indep: doxygen,
                      graphviz,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/intel/mkl-dnn
 Vcs-Browser: https://salsa.debian.org/science-team/mkl-dnn
 Vcs-Git: https://salsa.debian.org/science-team/mkl-dnn.git
