=== debian/tests/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Test-Command: gcc $(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c99 examples/simple_net.c -lmkldnn -o tester; ./tester
-Depends: libmkldnn-dev, gcc
+Depends: libmkldnn-dev, gcc, libc6-dev,
+Restrictions: allow-stderr
 
 Test-Command: clang $(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c99 examples/simple_net.c -lmkldnn -o tester; ./tester
-Depends: libmkldnn-dev, clang
+Depends: libmkldnn-dev, clang, libc6-dev,
+Restrictions: allow-stderr
 
 # --
 
 Test-Command: g++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_net.cpp -lmkldnn -o tester; ./tester
 Depends: libmkldnn-dev, g++
+Restrictions: allow-stderr
 
 Test-Command: clang++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_net.cpp -lmkldnn -o tester; ./tester
 Depends: libmkldnn-dev, clang
+Restrictions: allow-stderr
 
 # -- the Int8 mode requires AVX512-bw instruction set to be supported by CPU.
 #
@@ -31,15 +35,19 @@
 # --
 
 Test-Command: gcc $(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c99 examples/simple_training_net.c -lmkldnn -o tester; ./tester
-Depends: libmkldnn-dev, gcc
+Depends: libmkldnn-dev, gcc, libc6-dev,
+Restrictions: allow-stderr
 
 Test-Command: clang $(dpkg-buildflags --get CFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c99 examples/simple_training_net.c -lmkldnn -o tester; ./tester
-Depends: libmkldnn-dev, clang
+Depends: libmkldnn-dev, clang, libc6-dev,
+Restrictions: allow-stderr
 
 # --
 
 Test-Command: g++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_training_net.cpp -lmkldnn -o tester; ./tester
 Depends: libmkldnn-dev, g++
+Restrictions: allow-stderr
 
 Test-Command: clang++ $(dpkg-buildflags --get CXXFLAGS) $(dpkg-buildflags --get LDFLAGS) -std=c++11 examples/simple_training_net.cpp -lmkldnn -o tester; ./tester
 Depends: libmkldnn-dev, clang
+Restrictions: allow-stderr
