## mkl-dnn 0.20

=== debian/changelog ===
mkl-dnn (0.20-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 08 Jul 2019 06:16:10 +0000

mkl-dnn (0.20-1~exp1) experimental; urgency=medium

  * New upstream version 0.20
  * Refresh symbol list.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 04 Jul 2019 14:09:04 +0000

mkl-dnn (0.19-1~exp1) experimental; urgency=medium

  * New upstream version 0.19

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 16 May 2019 05:35:08 +0000

mkl-dnn (0.18.1-1~exp1) experimental; urgency=medium

  * New upstream version 0.18.1

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 31 Mar 2019 14:52:02 +0000

mkl-dnn (0.18-1~exp1) experimental; urgency=medium

  * New upstream version 0.18
  * Update installation because upstream cmake adopted GNUInstallDir.
  * Install a new header file and CMake files for mkldnn.
  * Refresh symbols control file.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 04 Mar 2019 07:06:37 +0000
