=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 	dh $@ -Scmake
 
 override_dh_auto_configure:
-	set -e; for item in $$(ls debian/*.install); do \
-		sed -i -e "s@#DEB_HOST_MULTIARCH#@$(DEB_HOST_MULTIARCH)@g" $$item; \
-		done
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=Release \
 		-DARCH_OPT_FLAGS=""
